跳转到内容

通过id获取中台的运费模板详情

GET /app/shipping/cloud/findExpressTemplate

金额单位是分。只能查询当前应用绑定供应商自己的运费模板,参数通过 query 传递。

字段 名称 类型 是否必须
id 模板id int 是

返回的 regions 中下级地址数组为空,代表该地区下级全部选择。

type:模板类型 0按重量 1按件数;items 中 first_amount 为首重/首件,additional_amount 为续重/续件。

{
"code": 0,
"data": {
"reExpressTemplates": {
"id": 21,
"created_at": null,
"updated_at": 1635990149,
"name": "测试",
"type": 0,
"supplier_id": 0,
"items": [
{
"id": 73,
"created_at": 1635990149,
"updated_at": 1635990149,
"first_amount": 1, 首重/首件
"first_fee": 1000, 首重/首件运费(分)
"additional_amount": 1, 续重/续件
"additional_fee": 1000, 续重/续件运费(分)
"express_template_id": 21,
"regions": [ //地址id 下级为空时代表选择了所有的
{
"id": 12,
"regions": []
},
{
"id": 13,
"regions": [
{
"id": 1301,
"regions": null
},
{
"id": 1302,
"regions": null
},
{
"id": 1303,
"regions": null
},
{
"id": 1304,
"regions": null
},
{
"id": 1305,
"regions": null
},
{
"id": 1307,
"regions": null
},
{
"id": 1308,
"regions": null
},
{
"id": 1309,
"regions": null
},
{
"id": 1310,
"regions": null
},
{
"id": 1311,
"regions": null
}
]
},
{
"id": 14,
"regions": [
{
"id": 1401,
"regions": null
},
{
"id": 1402,
"regions": null
},
{
"id": 1403,
"regions": null
},
{
"id": 1406,
"regions": null
},
{
"id": 1407,
"regions": null
},
{
"id": 1408,
"regions": null
},
{
"id": 1409,
"regions": null
},
{
"id": 1410,
"regions": null
},
{
"id": 1411,
"regions": null
}
]
}
],
"region_names": [
"天津市",
"河北省",
"石家庄市",
"唐山市",
"秦皇岛市",
"邯郸市",
"邢台市",
"张家口市",
"承德市",
"沧州市",
"廊坊市",
"衡水市",
"山西省",
"太原市",
"大同市",
"阳泉市",
"朔州市",
"晋中市",
"运城市",
"忻州市",
"临汾市",
"吕梁市"
]
}
]
}
},
"msg": "操作成功"
}